ru.bitel.bgbilling.modules.vepay.server.bean

## Class TransactionManager

- java.lang.Object
- - ru.bitel.common.dao.AbstarctDaoConstant
  - - ru.bitel.common.dao.AbstractDao<B>
    - - ru.bitel.common.dao.AbstractIdDao<B>
      - - ru.bitel.bgbilling.server.bean.AbstractTransactionManager<Transaction>
        - - ru.bitel.bgbilling.modules.vepay.server.bean.TransactionManager

- All Implemented Interfaces:
    java.lang.AutoCloseable

      public class TransactionManager
      extends AbstractTransactionManager<Transaction>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

      `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `fields`

    - ### Fields inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `logger, moduleSetup`

    - ### Fields inherited from class ru.bitel.common.dao.AbstractDao

      `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, mid, moduleId, orderByPattern, tableName`

    - ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `ERROR, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doCheck(int contractId)`
    `void` | `doCheckRequest(Transaction transaction)`
    `void` | `doPayment(Transaction transaction, java.lang.String status, PaymentDao paymentDao)`
    `java.lang.String` | `doPaymentRequest(Transaction transaction, java.math.BigDecimal sum, java.lang.String description, java.lang.String successurl, java.lang.String failurl)`
    `Transaction` | `doRecurrentRequest(int contractId, java.math.BigDecimal sum, java.lang.String parentOrderIDP)`
    `java.lang.String` | `getFormatSum(java.math.BigDecimal sum)`
    `protected Transaction` | `getFromRS(java.sql.ResultSet rs)`
    `java.lang.String` | `getReceipt(java.math.BigDecimal sum, java.lang.String customerAddress, java.lang.String contractTitle)`
    `java.lang.String` | `getReceiptSignature(java.lang.Object shopIdp, java.lang.Object orderIdp, java.lang.Object subTotalP, java.lang.Object receipt)`
    `Transaction` | `getTransactionByTransactionId(java.lang.String transactionId)`
    `protected int` | `psStatus(java.sql.PreparedStatement ps, java.lang.String status, int index)`
    `protected void` | `queryStatus(java.lang.StringBuilder query, java.lang.String status)`
    `protected void` | `setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)`
    `protected void` | `updateImpl(Transaction transaction)`

    - ### Methods inherited from class ru.bitel.bgbilling.server.bean.AbstractTransactionManager

      `doConnection, doConnection, searchTransaction, searchTransaction`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

      `delete, get, getAndDelete, getAndUpdate`

    - ### Methods inherited from class ru.bitel.common.dao.AbstractDao

      `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, processException, recycle, setStatementParam, update`

    - ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

      `getSQLOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fields

          public java.util.Map<java.lang.String,java.lang.String> fields

  - ### Constructor Detail

    - #### TransactionManager

          public TransactionManager(java.sql.Connection con,
                                    int moduleId)

  - ### Method Detail

    - #### queryStatus

          protected void queryStatus(java.lang.StringBuilder query,
                                     java.lang.String status)

      Overrides:
        `queryStatus` in class `AbstractTransactionManager<Transaction>`

    - #### psStatus

          protected int psStatus(java.sql.PreparedStatement ps,
                                 java.lang.String status,
                                 int index)
                          throws java.sql.SQLException

      Overrides:
        `psStatus` in class `AbstractTransactionManager<Transaction>`
      Throws:
        `java.sql.SQLException`

    - #### getTransactionByTransactionId

          public Transaction getTransactionByTransactionId(java.lang.String transactionId)
                                                    throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doCheck

          public void doCheck(int contractId)

    - #### doCheckRequest

          public void doCheckRequest(Transaction transaction)

    - #### doPayment

          public void doPayment(Transaction transaction,
                                java.lang.String status,
                                PaymentDao paymentDao)
                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### doPaymentRequest

          public java.lang.String doPaymentRequest(Transaction transaction,
                                                   java.math.BigDecimal sum,
                                                   java.lang.String description,
                                                   java.lang.String successurl,
                                                   java.lang.String failurl)

    - #### doRecurrentRequest

          public Transaction doRecurrentRequest(int contractId,
                                                java.math.BigDecimal sum,
                                                java.lang.String parentOrderIDP)
                                         throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getFormatSum

          public java.lang.String getFormatSum(java.math.BigDecimal sum)

    - #### getReceipt

          public java.lang.String getReceipt(java.math.BigDecimal sum,
                                             java.lang.String customerAddress,
                                             java.lang.String contractTitle)

    - #### getReceiptSignature

          public java.lang.String getReceiptSignature(java.lang.Object shopIdp,
                                                      java.lang.Object orderIdp,
                                                      java.lang.Object subTotalP,
                                                      java.lang.Object receipt)

    - #### getFromRS

          protected Transaction getFromRS(java.sql.ResultSet rs)
                                   throws java.sql.SQLException,
                                          ru.bitel.bgbilling.common.BGException

      Specified by:
        `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `java.sql.SQLException`
        `ru.bitel.bgbilling.common.BGException`

    - #### updateImpl

          protected void updateImpl(Transaction transaction)
                             throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Transaction>`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setConnectionTimeout

          protected void setConnectionTimeout(javax.net.ssl.HttpsURLConnection connection)

      Overrides:
        `setConnectionTimeout` in class `AbstractTransactionManager<Transaction>`